## texlive-lang 2015.20160223

=== Makefile ===
#	pstops "4:0L@0.8(22.5cm,-0.6cm)+1L@0.8(22.5cm,13.3cm),2L@0.8(22.5cm,-0.6cm)+3L@0.8(22.5cm,13.3cm)" \
SHELL = /bin/sh
VERS = 5.05

OTHER = README CHANGES
FILES = src/biblio.tex src/math.tex src/things.tex src/contrib.tex src/lshort.sty src/mylayout.sty src/title.tex \
	src/custom.tex src/lshort.tex src/overview.tex src/typeset.tex src/fancyhea.sty src/lssym.tex src/spec.tex \
	src/lshort-base.tex src/lshort-a5.tex src/graphic.tex src/appendix.tex

# Define some variables
LATEX=latex
PDFLATEX=pdflatex
MAKEINDEX=makeindex
DVIPS=dvips

# The default targets
all: lshort.pdf lshort-letter.pdf lshort-a5.pdf

lulu: lshort-body.pdf lshort-title.pdf


lshort.dvi: $(FILES)
	-mkdir texbuild
	(TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:} && export TEXINPUTS && cd texbuild && \
	$(LATEX) lshort && $(LATEX) lshort && $(MAKEINDEX) -s ../src/lshort.ist lshort; \
	$(LATEX) lshort && $(LATEX) lshort && mv lshort.dvi ..)

lshort-a5.dvi: $(FILES)
	-mkdir texbuild
	(TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:} && export TEXINPUTS && cd texbuild && \
	$(LATEX) lshort-a5 && $(LATEX) lshort-a5 && $(MAKEINDEX) -s ../src/lshort.ist lshort-a5; \
	$(LATEX) lshort-a5 && $(LATEX) lshort-a5 && mv lshort-a5.dvi ..)

lshort.ps: lshort.dvi
	(T1FONTS=.: && TEXFONTMAPS=.: && export T1FONTS TEXFONTMAPS && $(DVIPS) -j -Pcmz -olshort.ps lshort.dvi )
	rm texbuild/*

lshort-a5.ps: lshort-a5.dvi
	(T1FONTS=.: && TEXFONTMAPS=.: && export T1FONTS TEXFONTMAPS  && $(DVIPS) -j -Pcmz -ta5 -olshort-a5.ps lshort-a5.dvi )
	rm texbuild/*

lshort-book.ps: lshort.ps
	psbook lshort.ps out.ps 
	pstops "4:0L@0.8(22.76cm,-0.6cm)+1L@0.8(22.76cm,13.45cm),3R@0.8(-1.38cm,16.25cm)+2R@0.8(-1.38cm,30.3cm)" \
			out.ps lshort-book.ps
	rm out.ps

lshort-a5book.ps: lshort-a5.ps
	( psbook lshort-a5.ps | psnup -pa4 -s1 -2 | pstops "2:0,1U(21cm,29.7cm)" >lshort-a5book.ps )

lshort-a5book.pdf: lshort-a5book.ps
	 ps2pdf14 -sPAPERSIZE=a4 lshort-a5book.ps lshort-a5book.pdf

lshort.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort&& $(PDFLATEX) lshort&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort&&$(PDFLATEX) lshort&& \
	(thumbpdf --resolution 10 lshort.pdf && $(PDFLATEX) lshort)&& \
	mv lshort.pdf .. )
	rm pdfbuild/*

lshort-body.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-body && $(PDFLATEX) lshort-body && \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-body &&$(PDFLATEX) lshort-body&& \
	mv lshort-body.pdf .. )
	rm pdfbuild/*

lshort-title.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-title && $(PDFLATEX) lshort-title && \
	mv lshort-title.pdf .. )
	rm pdfbuild/*

lshort-a5.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-a5&& $(PDFLATEX) lshort-a5&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-a5&&$(PDFLATEX) lshort-a5&& \
	(thumbpdf --resolution 10 lshort-a5.pdf && $(PDFLATEX) lshort-a5)&& \
	mv lshort-a5.pdf .. )
	rm pdfbuild/*

lshort-letter.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-letter&& $(PDFLATEX) lshort-letter&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-letter&&$(PDFLATEX) lshort-letter&& \
	(thumbpdf --resolution 10 lshort-letter.pdf && $(PDFLATEX) lshort-letter)&& \
	mv lshort-letter.pdf .. )
	rm pdfbuild/*

src/title.tex: Makefile fixdate.pl
	perl fixdate.pl $(VERS) < src/title.tex > src/title.tex2 && mv src/title.tex2 src/title.tex

quick: $(FILES)
	(TEXINPUTS=`pwd`/src:$(TEXINPUTS)&& export TEXINPUTS&& cd texbuild&& \
        $(LATEX) lshort&& mv lshort.dvi ..)


tar:	$(FILES)
	ln -s . lshort-$(VERS)
	tar -zcvf lshort-$(VERS).src.tar.gz `awk '{print "lshort-$(VERS)/"$$1}' MANIFEST`
	rm lshort-$(VERS)

rsync:  all tar
	echo press enter to rsync
	read x
	rsync  lshort-$(VERS).src.tar.gz CHANGES README lshort.pdf lshort-letter.pdf lshort-a5.pdf james:public_html/latex/

dist:   rsync
	-rm lshort-english
	ln -s . lshort-english
	zip lshort-$(VERS).zip lshort-english/lshort-$(VERS).src.tar.gz lshort-english/CHANGES lshort-english/README lshort-english/lshort.pdf lshort-english/lshort-letter.pdf lshort-english/lshort-a5.pdf
	-rm lshort-english
	echo upload lshort-$(VERS).zip to http://www.ctan.org/upload	

clean:
	rm -rf texbuild pdfbuild

=== texmf-dist/doc/latex/amsldoc-vn/Makefile ===
SCREEN = amsldoc-vi
PRINT  = amsldoc-print-vi

amsldoc: screen print

screen: 
	pdflatex $(SCREEN)
	pdflatex $(SCREEN)
	pdflatex $(SCREEN)
	thumbpdf $(SCREEN).pdf
	pdflatex $(SCREEN)

print:
	pdflatex $(PRINT)
	pdflatex $(PRINT)
	pdflatex $(PRINT)

quick:
	pdflatex $(SCREEN) 

tar:
	mkdir -p amsldoc-vi/src
	cp -pv {$(SCREEN),$(PRINT)}.pdf README.txt TODO amsldoc-vi
	cp -pv *.tex Makefile amsldoc-vi/src
	tar -cjf amsldoc-vi.tar.bz2 amsldoc-vi

clean:
	rm -fv *.log *.idx *.aux *.dvi *.bbl *.blg *.toc *.idx *.tps \
	*.ps *.ilg *.tcp *~ *.ind *.out *.tpt

cleanall: clean
	rm -fv *.pdf *~ amsldoc-vi.tar.bz2

=== texmf-dist/doc/latex/disser/Makefile ===
#
# Makefile for disser package
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET := disser
BST := gost705
MAINDTX := $(TARGET) $(BST) gost732
MANUAL := manual

CLSFILES := *.cls *.rtx
BSTFILES := gost705.bst gost705s.bst
CSFFILES := *.csf
DOCFILES := $(addsuffix .pdf, $(MAINDTX) $(MANUAL))
TEXTFILES := ../README ../README.ru ../ChangeLog
SRCFILES := *.dtx $(TARGET).ins dtx.ist $(MANUAL).tex Makefile \
  nomake.cmd

TEXMF ?= /usr/share/texmf
DESTDIR ?= $(TEXMF)
CLSDIR ?= $(DESTDIR)/tex/latex/$(TARGET)
DOCDIR ?= $(DESTDIR)/doc/latex/$(TARGET)
BSTDIR ?= $(DESTDIR)/bibtex/bst/$(TARGET)
CSFDIR ?= $(DESTDIR)/bibtex/csf/$(TARGET)
SRCDIR ?= $(DESTDIR)/source/latex/$(TARGET)

CLEXT ?= *.aux *.toc *.idx *.ind *.ilg *.log *.out *.lof *.lot *.lol \
  *.bbl *.blg *.bak *.dvi *.ps *.pdf *.synctex *.synctex.gz
CLFILES ?= $(CLEXT) $(CLSFILES) $(BSTFILES)

LATEX ?= latex
PDFLATEX ?= pdflatex
MI ?= makeindex

LATEXFLAGS ?= --src-specials
PDFLATEXFLAGS ?= --shell-escape --synctex=1
MIFLAGS ?= -r -s dtx.ist


all: package doc

package: $(TARGET).cls

doc: pdf

dvi: $(addsuffix .dvi, $(MAINDTX) $(MANUAL))

pdf: $(DOCFILES)

clean:
	-rm -f $(CLFILES)

install: all
	mkdir -p $(CLSDIR) ;\
	mkdir -p $(BSTDIR) ;\
	mkdir -p $(CSFDIR) ;\
	mkdir -p $(DOCDIR) ;\
	mkdir -p $(SRCDIR) ;\
	cp $(CLSFILES)  $(CLSDIR) ;\
	cp $(BSTFILES)  $(BSTDIR) ;\
	cp $(CSFFILES)  $(CSFDIR) ;\
	cp $(DOCFILES)  $(DOCDIR) ;\
	cp $(TEXTFILES) $(DOCDIR) ;\
	cp $(SRCFILES)  $(SRCDIR)

uninstall:
	-rm $(addprefix $(CLSDIR)/, $(CLSFILES))
	-rm $(addprefix $(BSTDIR)/, $(BSTFILES))
	-rm $(addprefix $(CSFDIR)/, $(CSFFILES))
	-rm $(addprefix $(DOCDIR)/, $(DOCFILES))
	-rm $(addprefix $(DOCDIR)/, $(notdir $(TEXTFILES)))
	-rm $(addprefix $(SRCDIR)/, $(SRCFILES))
	-rmdir $(CLSDIR)
	-rmdir $(BSTDIR)
	-rmdir $(CSFDIR)
	-rmdir $(DOCDIR)
	-rmdir $(SRCDIR)

reinstall: uninstall install

$(TARGET).dvi: $(TARGET).dtx
	$(LATEX) $(LATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(TARGET)
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

$(TARGET).pdf: $(TARGET).dtx
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(TARGET)
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

$(BST).dvi: $(BST).dtx
	$(LATEX) $(LATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(BST)
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

$(BST).pdf: $(BST).dtx
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(BST)
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

%.cls: %.ins
	$(LATEX) $^

%.dvi: %.dtx
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

%.dvi: %.tex
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

%.pdf: %.dtx
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

%.pdf: %.tex
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

help:
	@echo "  all        (default) build package and documentation" ;\
	 echo "  clean      remove output files" ;\
	 echo "  doc        alias for pdf target" ;\
	 echo "  dvi        build documentation in DVI format" ;\
	 echo "  help       show description of targets" ;\
	 echo "  install    install package and documentation" ;\
	 echo "  package    build package" ;\
	 echo "  pdf        build documentation in PDF format" ;\
	 echo "  reinstall  reinstall package and documentation" ;\
	 echo "  uninstall  uninstall package and documentation"

=== texmf-dist/doc/latex/latex2e-help-texinfo/Makefile ===
# $Id: Makefile 462 2015-10-24 20:37:02Z jhefferon $
# Public domain.  Originally written 2006, Karl Berry.
# Makefile for latexrefman.

en_tex_output = latex2e.dvi latex2e.pdf
es_tex_output = latex2e-es.dvi latex2e-es.pdf
fr_tex_output = latex2e-fr.dvi latex2e-fr.pdf
#
xref_suffixes := ky cp vr fn cp pg tp
xref_suffixes := $(xref_suffixes) $(addsuffix s,$(xref_suffixes))
xref_suffixes := aux log toc $(xref_suffixes)
mi_suffixes = dbk html info txt xml
en_mi_output = $(addprefix latex2e., $(mi_suffixes))
es_mi_output = $(addprefix latex2e-es., $(mi_suffixes))
fr_mi_output = $(addprefix latex2e-fr., $(mi_suffixes))
#
all_suffixes = dvi pdf $(mi_suffixes)


#  how to build.
# 
texi2dvi = texi2dvi --batch --tidy --build-dir=$*.t2dvi
texi2pdf = texi2pdf --batch --tidy --build-dir=$*.t2pdf
#
makeinfo = makeinfo
texi2docbook = $(makeinfo) --docbook
texi2html = $(makeinfo) --html --no-split $(texi2html_top)
texi2info = $(makeinfo) --no-split
texi2txt = $(makeinfo) --plaintext --no-split
texi2xml = $(makeinfo) --xml
#
# Go somewhere useful from Top.
texi2html_top = -c TOP_NODE_UP_URL=http://tug.org/texinfohtml/

%.pdf: %.texi
	$(texi2pdf) $<
%.dvi: %.texi
	$(texi2dvi) $<
#
%.dbk: %.texi
	$(texi2docbook) -o $@ $<
%.html: %.texi
	$(texi2html) $<
%.info: %.texi
	$(texi2info) $<
%.txt: %.texi
	$(texi2txt) -o $@ $<
%.xml: %.texi
	$(texi2xml) $<


#  targets follow.
#
default: check-en

# to test changes, build a subset: html and info (since these formats
# exercise significantly different code paths), and pdf for tex.
check_suffixes = html info pdf
#
check-en: spell-en $(addprefix latex2e., $(check_suffixes))
check-es: $(addprefix latex2e-es., $(check_suffixes))
check-fr: $(addprefix latex2e-fr., $(check_suffixes))
check: check-en check-es check-fr

# Build per language.
en: $(en_mi_output) $(en_tex_output)
es: $(es_mi_output) $(es_tex_output)
fr: $(fr_mi_output) $(fr_tex_output)

# To build everything in all languages.
all: en es fr

# following the GNU sequence of clean targets.
distclean clean mostlyclean:
	rm -rf latex2e*.t2*

realclean maintainer-clean: distclean
	rm -f $(addprefix latex2e*., pdf dvi $(mi_suffixes) $(xref_suffixes))


#  dist for CTAN.  Also update NEWS
# 
txt_files = ChangeLog Makefile NEWS README aspell.en.pws ltx-help.el 
distzip = latex2e-help-texinfo.zip
#
dist: en
	mkdir latex2e-help-texinfo && cd latex2e-help-texinfo && ln -s ../* .
	zip -q $(distzip) \
$(addprefix latex2e-help-texinfo/, $(txt_files) \
                              latex2e.texi $(en_mi_output) latex2e.pdf)
	rm -rf latex2e-help-texinfo
	@ls -l $(distzip); unzip -t $(distzip)

# A hacky spell check target.
# Remove \commandnames to reduce exception list, but not {args} or
# [args], since they are often words.
spell spell-en:
	sed -e 's/\\[a-zA-z]*//g' latex2e.texi \
	| aspell list --mode=texinfo --add-extra-dicts=`pwd`/aspell.en.pws \
        | sort -f -u

# Check for doubled words.
# http://www.math.utah.edu/~beebe/software/file-tools.html#dw
check-dw:
	grep -v '^@item' latex2e.texi | dw

# Convenience targets to svn revert the generated files,
# and svn diff the source files.
svr:
	svn revert $(addprefix latex2e*., $(all_suffixes))
svd:
	svn diff $(txt_files) *.texi

=== texmf-dist/doc/texlive/texlive-ru/Makefile ===
include ../texlive-en/Makefile
doc = texlive-ru

=== texmf-dist/doc/texlive/texlive-sr/Makefile ===
# Makefile for Serbian Translation of the TeX Live documentation.

TEX = xelatex
TECKIT = teckit_compile
doc = texlive-sr
source = $(doc).tex
pdf = $(doc).pdf
html = ${doc}.html

all: realclean pdf

env = TEXINPUTS=../texlive-common:../texlive-en:images:; export TEXINPUTS;

pdf:
	$(env) $(TEX) $(source)
	$(env) $(TEX) $(source)
	$(env) $(TEX) $(source)

clean:
	rm -f *.aux *.log *.blg *.toc *.out *.lot tex4ht.ps *.4*
	rm -f *.xref* *.lg *.idv *.out *.otc *.tmp tmp.*
	rm -f $(doc).dvi $(doc).ps $(doc).xdv

realclean: clean
	rm -f $(doc).pdf 
	rm -f *.html *.htm $(doc).css *.gif *.jpg $(doc).tec *~

=== texmf-dist/doc/fonts/cjk-gs-integrate/tests/Makefile ===


all = gb cns korea japan

$(all) all:
	bash test-runner.sh $@

clean:
	rm -f *.log *.dvi *.aux

realclean: clean
	rm -f *.pdf *.ps

=== texmf-dist/doc/latex/comprehensive/source/Makefile ===
#############################################
# Build the Comprehensive LaTeX Symbol List #
# By Scott Pakin <scott+clsl@pakin.org>     #
#############################################

# Define TARGETS as a list of all of the files we intend to generate.
# TARGETS is categorized into TARGETS_SOURCE and TARGETS_DIST.
# TARGETS_DIST comprise the prebuilt distribution of the Comprehensive
# LaTeX Symbol List.  TARGETS_SOURCE are needed primarily to build
# TARGETS_DIST, although they are also distributed (in a "source"
# subdirectory).
TARGETS = $(TARGETS_SOURCE) $(TARGETS_DIST)
TARGETS_DIST = symbols-letter.pdf symbols-a4.pdf \
	       rawtables-letter.pdf rawtables-a4.pdf \
	       SYMLIST README
TARGETS_SOURCE = lightbulb.eps lightbulb10.pfb lightbulb.map

# There are a few files that we didn't generate but that need to be
# distributed.
EXTRADIST = symbols.tex lightbulb10.mf lightbulb.mf \
	    symbols.ist fakego.sty unicode2eps.pe \
	    makefakeMnSymbol teubner-subset.sty fakemusixtex.sty \
	    fakearevmath.sty fakedozenal.sty fakelatexsym.sty \
	    makefakefdsymbol makefakeboisik fakearcs.sty \
	    makefakestix makefakestarfont makerawtables \
	    Makefile

# All formats of the symbol list depend upon the following files.
COMMONDEPS = symbols.tex symbols.ist fakeMnSymbol.sty teubner-subset.sty \
	     fakemusixtex.sty fakeknitting.sty fakefdsymbol.sty \
	     fakeboisik.sty fakestix.sty fakearcs.sty \
	     fakearevmath.sty fakedozenal.sty fakelatexsym.sty \
	     fakestarfont.sty nonlatex versatim.tex junicode lilyglyphs \
	     $(TARGETS_SOURCE)

# The following non-LaTeX files will be copied to the current
# directory if they exist so LaTeX can find them.
NONLATEX = hands.mf greenpoint.mf nkarta.mf astrosym.mf WebOMintsGD.pfb \
	   moonphase.mf dancers.mf smfpr10.mf umranda.mf umrandb.mf \
	   cryst.mf dice3d.mf magic.mf fselch10.mf Junicode.ttf msym10.tfm \
	   knot1.mf knot2.mf knot3.mf knot4.mf knot5.mf knot6.mf knot7.mf

# We need FontForge (or the older PfaEdit) to generate lightbulb10.pfb.
FONTFORGE = fontforge

# Specify how much process parallelism we should employ in xargs invocations.
PARXARGS = 8

# The following should be overwritten in a recursive call to Make.
SIZE = letter
EXT = pdf

# I've had some trouble using sh as the shell.  bash seems to work, though.
SHELL = /bin/bash

###########################################################################

# Build all specified formats in all specified paper sizes.
all: $(TARGETS_DIST)

.PHONY: all symbols nonlatex dist clean mostlyclean

###########################################################################

# Define generic rules for building pdf/dvi/ps in letter/a4 size.
symbols: $(COMMONDEPS)
	# Pass 1: Produce an initial build of the document.
	$(LATEX) -jobname symbols-$(SIZE)-$(EXT) '\PassOptionsToClass{$(SIZE)paper}{article}\input symbols'
	# Pass 2a: Build a second time to produce a final page layout (one hopes).
	$(LATEX) -jobname symbols-$(SIZE)-$(EXT) '\PassOptionsToClass{$(SIZE)paper}{article}\input symbols'
	# Pass 2b: Create an index based on the current layout.  We do some
	# preprocessing of the .idx file to improve the sorting order.
	perl -ne 's/\{(\d+)\}=/sprintf " {%03d}=", $$1/ge; s/\(\\(\S+)\s*\)/\(\\$$1\)/; print' < symbols-$(SIZE)-$(EXT).idx > symbols-$(SIZE)-$(EXT).tmp
	mv symbols-$(SIZE)-$(EXT).tmp symbols-$(SIZE)-$(EXT).idx
	makeindex -s symbols.ist symbols-$(SIZE)-$(EXT)
	# Pass 3a: Build the document with the newly generated index.
	$(LATEX) -jobname symbols-$(SIZE)-$(EXT) '\PassOptionsToClass{$(SIZE)paper}{article}\input symbols'
	# Pass 3b: Get a final symbol count, and put it in the .aux file.
	# Also, patch the hyperlink bookmarks since we can't do that from
	# within the document.
	totalsymbols=`fgrep -c '\item \verb' symbols-$(SIZE)-$(EXT).ind` ; \
	  ( fgrep -v prevtotalsymbols symbols-$(SIZE)-$(EXT).aux > symbols-$(SIZE)-$(EXT).pts ; \
	    echo "\\gdef\\prevtotalsymbols{$$totalsymbols}" ; \
	    echo "\\gdef\\approxcount{}" ) >> symbols-$(SIZE)-$(EXT).pts ; \
	  mv symbols-$(SIZE)-$(EXT).pts symbols-$(SIZE)-$(EXT).aux
	if [ -e symbols-$(SIZE)-$(EXT).out ] ; then \
	  cat symbols-$(SIZE)-$(EXT).out | \
	    perl -ne 's/\[[^\]]*\](?=\w)//g; print' > symbols-$(SIZE)-$(EXT).tmp ; \
	  mv symbols-$(SIZE)-$(EXT).tmp symbols-$(SIZE)-$(EXT).out ; \
	fi
	# Pass 4: Build the final document using the final symbol count
	# and with the table of contents and PDF bookmarks correctly
	# reflecting the index pages.  We don't use our custom latex
	# format here because it interferes with cmap.sty.
	$(LATEX) -jobname symbols-$(SIZE)-$(EXT) '\PassOptionsToClass{$(SIZE)paper}{article}\input symbols'
	mv symbols-$(SIZE)-$(EXT).$(EXT) symbols-$(SIZE).$(EXT)
	-@(grep --color -E "^.*multiply.defined.*" symbols-$(SIZE)-$(EXT).log ; true)
	-@(grep --color -E "^.*undefined.*" symbols-$(SIZE)-$(EXT).log | grep -v U/stmry/b/n ; true)

###########################################################################

# Define specific rules for building different formats and sizes.
symbols-a4.pdf symbols-a4-pdf.log symbols-a4-pdf.ind: $(COMMONDEPS)
	$(MAKE) $(MAKEFLAGS) SIZE=a4 LATEX=pdflatex EXT=pdf symbols

symbols-letter.pdf symbols-letter-pdf.log symbols-letter-pdf.ind: $(COMMONDEPS)
	$(MAKE) $(MAKEFLAGS) SIZE=letter LATEX=pdflatex EXT=pdf symbols

symbols-a4.dvi symbols-a4-dvi.log symbols-a4-dvi.ind: $(COMMONDEPS)
	$(MAKE) $(MAKEFLAGS) SIZE=a4 LATEX=latex EXT=dvi symbols

symbols-letter.dvi symbols-letter-dvi.log symbols-letter-dvi.ind: $(COMMONDEPS)
	$(MAKE) $(MAKEFLAGS) SIZE=letter LATEX=latex EXT=dvi symbols

symbols-letter.ps: symbols-letter.dvi
	dvips -t letter -Pamz -Pcmz -j0 -o symbols-letter.ps symbols-letter.dvi

symbols-a4.ps: symbols-a4.dvi
	dvips -t a4 -Pamz -Pcmz -j0 -o symbols-a4.ps symbols-a4.dvi


rawtables-letter.tex rawtables.list testfont.pdf testfont.log: makerawtables $(COMMONDEPS)
	perl makerawtables --paper=letter

rawtables-letter.pdf: rawtables-letter.tex
	pdftex rawtables-letter.tex

rawtables-a4.tex rawtables.list testfont.pdf testfont.log: makerawtables $(COMMONDEPS)
	perl makerawtables --paper=a4

rawtables-a4.pdf: rawtables-a4.tex
	pdftex rawtables-a4.tex

###########################################################################

# Define rules to produce a lightbulb proof figure.
mfplain.mem:
	mpost -ini '\input mfplain; dump'

lightbulb.eps: lightbulb10.mf lightbulb.mf mfplain.mem
	mpost -mem=mfplain '\mode:=proof; prologues:=2; labelfont cmr17; input lightbulb10'
	mv lightbulb10.65 lightbulb.eps

# Generate a FontForge script that makes the LightBulb10 PostScript
# names mixed case.
lightbulb10.pe:
	echo 'Open($$1);' > $@
	echo 'LB = "LightBulb";' >> $@
	echo 'SetFontNames(LB+"10", LB, LB+"10");' >> $@
	echo 'Generate("lightbulb10.pfb");' >> $@

# Define a rule to produce a Type 1 version of the LightBulb10 font.
lightbulb10.pfb: lightbulb10.mf lightbulb10.pe
	mftrace -V -fpfb --simplify lightbulb10
	$(FONTFORGE) -script lightbulb10.pe lightbulb10.pfb

# Define a rule to produce a LightBulb font-mapping file.
lightbulb.map:
	echo "lightbulb10 LightBulb10 <lightbulb10.pfb" > lightbulb.map

###########################################################################

# If we have MnSymbol.sty, generate a faked version that does not
# declare any new math alphabets.
fakeMnSymbol.sty: makefakeMnSymbol
	if [ "`kpsewhich MnSymbol.sty`" ] ; then \
	  ./makefakeMnSymbol `kpsewhich MnSymbol.sty` > $@ ; \
	else \
	  ./makefakeMnSymbol /dev/null > $@ ; \
	fi

# If we have fdsymbol.sty, generate a faked version that does not
# declare any new math alphabets.
fakefdsymbol.sty: makefakefdsymbol
	if [ "`kpsewhich fdsymbol.sty`" ] ; then \
	  ./makefakefdsymbol `kpsewhich fdsymbol.sty` > $@ ; \
	else \
	  ./makefakefdsymbol /dev/null > $@ ; \
	fi

# If we have boisik.sty, generate a faked version that does not
# declare any new math alphabets.
fakeboisik.sty: makefakeboisik
	if [ "`kpsewhich boisik.sty`" ] ; then \
	  ./makefakeboisik `kpsewhich boisik.sty` > $@ ; \
	else \
	  ./makefakeboisik /dev/null > $@ ; \
	fi

# If we have Junicode.ttf, extract the versicle and response
# characters as graphical images.  This enables the font to work in
# any TeX engine and without any helper .tfm or .enc files.
junicode: unicode2eps.pe
	test -e junicode || mkdir junicode
	if [ "`kpsewhich Junicode.ttf`" ] ; then \
	  cd junicode ; \
	  $(FONTFORGE) -script ../unicode2eps.pe `kpsewhich Junicode.ttf` 0x2123 0x211F ; \
	  ls *.eps | xargs -P$(PARXARGS) -t -i epstopdf '{}' ; \
	  true ; \
	fi

# If we have knitting.sty, generate a truncated version that excludes
# some catcode trickery which breaks mylatex.ltx.
fakeknitting.sty:
	echo "% This is a truncated version of knitting.sty for use only" > $@
	echo "% with the Comprehensive LaTeX Symbol List." >> $@
	echo "" >> $@
	if [ "`kpsewhich knitting.sty`" ] ; then \
	  cat `kpsewhich knitting.sty` | sed '/Standard chart commands/,$$d' >> $@ ; \
	fi

# If we have stix.sty, generate a faked version that does not
# declare any new math alphabets.
fakestix.sty: makefakestix
	if [ "`kpsewhich stix.sty`" ] ; then \
	  ./makefakestix `kpsewhich stix.sty` > $@ ; \
	else \
	  ./makefakestix /dev/null > $@ ; \
	fi

# If we have starfont.sty, generate a faked version that does not
# declare any new math alphabets.
fakestarfont.sty: makefakestarfont
	if [ "`kpsewhich starfont.sty`" ] ; then \
	  ./makefakestarfont `kpsewhich starfont.sty` > $@ ; \
	else \
	  ./makefakestarfont /dev/null > $@ ; \
	fi

# The apl package's versatim.tex messes up TeX's category codes.
# Hence, we override that file with a do-nothing version.
versatim.tex:
	echo "% Do-nothing replacement for the apl package's versatim.tex" > $@
	echo "\\endinput" >> $@

# If we have the Emmentaler music fonts, convert each glyph to a
# graphical image, which we place in our lilyglyphs subdirectory.
# With a few command redefinitions, this enables us to use lilyglyphs
# without requiring XeLaTeX or LuaLaTeX.
lilyglyphs: extract-by-name.pe
	test -e lilyglyphs || mkdir lilyglyphs
	if [ "`kpsewhich emmentaler-16.otf`" ] ; then \
	  cd lilyglyphs ; \
	  $(FONTFORGE) -script ../extract-by-name.pe `kpsewhich emmentaler-16.otf` ; \
	  mv accidentals.sharp.slashslashslash.stemst.eps accidentals.sharp.slashslashslash.stemstem.eps ; \
	  mv accidentals.sharp.slashslash.stemstemste.eps accidentals.sharp.slashslash.stemstemstem.eps ; \
	  ls *.eps | xargs -P$(PARXARGS) -t -i epstopdf '{}' ; \
	  rm -f lilyglyphs_logo.pdf ; \
	  ln -s -f `texdoc -l -I lilyglyphs_logo.pdf | awk 'NR==1 {print $$2}'` . ; \
	fi

# Generate a FontForge script that extracts all symbols from a font
# into named, (rather than numbered, as does unicode2eps.pe) EPS
# files.
extract-by-name.pe:
	echo 'Open($$1)' > $@
	echo 'Select(0x0000, 0xFFFF)' >> $@
	echo 'Export("%n.eps")' >> $@

###########################################################################

nonlatex:
	for fname in $(NONLATEX) ; do \
	  $(RM) $$fname ; \
	  fullfname=`kpsewhich $$fname` ; \
	  if [ "$$fullfname" ] ; then \
	    ln -s -f $$fullfname . ; \
	  fi \
	done

###########################################################################

# The index is needed to produce a list of symbols.  We arbitrarily
# use the symbols-letter-pdf.ind version of the index.
symbols.ind: symbols-letter-pdf.ind
	cp symbols-letter-pdf.ind symbols.ind

# Create a list of all symbols.
SYMLIST: symbols.ind
	cat symbols.ind | perl -ne 's/.*\\verb\+([^+]+)\+.*/$$1/g && print' | sort -u > SYMLIST

# Create a README file.
README: makeREADME symbols-letter-pdf.log symbols.ind
	./makeREADME symbols-letter-pdf.log symbols.ind > README

# Prepare to timestamp the distributed symbols.tex file.
TODAY = $(shell date +'%d %B %Y')
NOW = $(shell date +'%T %Z')

# Create a .tar.gz file.
comprehensive.tar.gz: $(TARGETS) $(EXTRADIST)
	$(RM) -r comprehensive
	mkdir comprehensive
	mkdir comprehensive/source
	install -m 664 $(TARGETS_DIST) comprehensive

=== texmf-dist/doc/uptex/base/samples/Makefile ===
PTEX = ptex
UPTEX = uptex
UPLATEX = uplatex
PLATEX = platex
DVIPS = dvips
DVIPDFMX = dvipdfmx
UPDVITYPE = updvitype
PDVITYPE = pdvitype
UPMPOST = upmpost
DVI2TTYJ = dvi2tty -J
DVI2TTYA = dvi2tty -A
DVI2TTYU = dvi2tty -U
EUPLATEX = uplatex
EPLATEX = platex
CONVBKMK = convbkmk.rb -g
CONVBKMKO = convbkmk.rb -g -o
PS2PDF = ps2pdf

all: misc kin widow uptex uplatex aozora adobe encswitch \
 jscman tfpl otf jbib jisuni dvi2tty bkmk consio

misc: misch miscv

misch:
	for f in misc set3; do \
		$(UPLATEX) $$f-check-h-utf8 ; \
		$(UPLATEX) "\def\withhyperref{dvipdfmx}\input" $$f-check-h-utf8.tex ; \
		$(UPLATEX) "\def\withhyperref{dvipdfmx}\input" $$f-check-h-utf8.tex ; \
		$(UPDVITYPE) $$f-check-h-utf8.dvi > $$f-check-h-utf8.pdvitype ; \
		perl check_enc.pl utf8 $$f-check-h-utf8.log $$f-check-h-utf8.aux $$f-check-h-utf8.out $$f-check-h-utf8.pdvitype ; \
		$(DVIPDFMX) $$f-check-h-utf8 ; \
		$(UPLATEX) "\def\withhyperref{dvips}\input" $$f-check-h-utf8.tex ; \
		$(DVIPS) $$f-check-h-utf8 ; \
		$(CONVBKMK) $$f-check-h-utf8.ps ; \
	done

miscv:
	for f in misc ; do \
		$(UPLATEX) $$f-check-v-utf8 ; \
		$(UPLATEX) "\def\withhyperref{dvipdfmx}\input" $$f-check-v-utf8.tex ; \
		$(UPLATEX) "\def\withhyperref{dvipdfmx}\input" $$f-check-v-utf8.tex ; \
		$(UPDVITYPE) $$f-check-v-utf8.dvi > $$f-check-v-utf8.pdvitype ; \
		perl check_enc.pl utf8 $$f-check-v-utf8.log $$f-check-v-utf8.aux $$f-check-v-utf8.out $$f-check-v-utf8.pdvitype ; \
		$(DVIPDFMX) -l $$f-check-v-utf8 ; \
		$(UPLATEX) "\def\withhyperref{dvips}\input" $$f-check-v-utf8.tex ; \
		$(DVIPS) -t landscape $$f-check-v-utf8 ; \
		$(CONVBKMK) $$f-check-v-utf8.ps ; \
	done

kin:
	$(UPLATEX) kinsoku-chk-utf8
	$(DVIPDFMX) kinsoku-chk-utf8
	$(DVIPS) kinsoku-chk-utf8

widow:
	platex widow
	mv widow.dvi widow-platex.dvi
	$(DVIPDFMX) widow-platex.dvi
	uplatex-euc --kanji-internal=euc widow
	mv widow.dvi widow-u-euc.dvi
	$(DVIPDFMX) widow-u-euc.dvi
	uplatex widow
	mv widow.dvi widow-u-uptex.dvi
	$(DVIPDFMX) widow-u-uptex.dvi

uptex:
	$(UPTEX) sangoku-uptex
	$(DVIPDFMX) sangoku-uptex
	$(DVIPS) sangoku-uptex

uplatex:
	$(UPLATEX) sangoku-uplatex
	$(DVIPDFMX) sangoku-uplatex
	$(DVIPS) sangoku-uplatex

aozora:
	for cls in ujarticle ujreport ujbook utarticle utreport utbook; do \
		$(UPLATEX) aozora-$$cls-utf8 ; \
		$(DVIPDFMX) aozora-$$cls-utf8 ; \
		$(DVIPS) aozora-$$cls-utf8 ; \
	done

adobe: adobeu adobec

adobeu:
	for cjk in jp kr gb cns; do \
		$(UPTEX) adobe-$$cjk-utf8 ; \
		$(DVIPDFMX) adobe-$$cjk-utf8 ; \
		$(DVIPS) adobe-$$cjk-utf8 ; \
	done

# It requires japanese-otf package.
adobec:
	for cjk in jp kr gb cns; do \
		$(UPLATEX) "\def\adobe{$$cjk}\input" adobe-cid ; \
		mv adobe-cid.dvi adobe-$$cjk-mc-cid.dvi ; \
		$(DVIPDFMX) adobe-$$cjk-mc-cid ; \
		$(DVIPS) adobe-$$cjk-mc-cid ; \
	done
	for cjk in jp kr cns; do \
		$(UPLATEX) "\def\adobe{$$cjk}\def\family{gt}\input" adobe-cid ; \
		mv adobe-cid.dvi adobe-$$cjk-gt-cid.dvi ; \
		$(DVIPDFMX) adobe-$$cjk-gt-cid ; \
		$(DVIPS) adobe-$$cjk-gt-cid ; \
	done

babel:
	$(UPLATEX) cjk_babel
	$(DVIPDFMX) cjk_babel
	$(DVIPS) cjk_babel
	$(DVI2TTYU) -Eu cjk_babel > cjk_babel.dvi2tty

# It requires unicode package (utf.sty etc.).
greek:
	$(UPLATEX) greek-uplatex
	$(DVIPDFMX) greek-uplatex
	$(DVIPS) greek-uplatex

encswitch: encswitchj encswitchp encswitchu

encswitchj:
	for ie in euc sjis; do \
		uptex -kanji=$$ie --kanji-internal=$$ie -fmt=uplatex-$$ie simple-jis.tex ; \
		perl check_enc.pl $$ie simple-jis.log simple-jis.aux || exit ; \
		mv simple-jis.dvi simple-jis0-$$ie.dvi ; \
		mv simple-jis.log simple-jis0-$$ie.log ; \
		mv simple-jis.aux simple-jis0-$$ie.aux ; \
		$(DVIPDFMX) simple-jis0-$$ie.dvi ; \
	for fe in jis euc sjis utf8; do \
		uptex -kanji=$$fe --kanji-internal=$$ie -fmt=uplatex-$$ie simple-$$fe.tex ; \
		perl check_enc.pl $$fe simple-$$fe.log simple-$$fe.aux || exit ; \
		mv simple-$$fe.dvi simple-$$fe-$$ie.dvi ; \
		mv simple-$$fe.log simple-$$fe-$$ie.log ; \
		mv simple-$$fe.aux simple-$$fe-$$ie.aux ; \
		$(DVIPDFMX) simple-$$fe-$$ie.dvi ; \
		$(UPDVITYPE) -kanji=$$fe simple-$$fe-$$ie.dvi > simple-$$fe-$$ie.pdvitype ; \
		perl check_enc.pl $$fe simple-$$fe-$$ie.pdvitype || exit ; \
	done ; \
	done

encswitchp:
	for fe in jis euc sjis utf8; do \
		$(PLATEX) -kanji=$$fe simple-$$fe.tex ; \
		perl check_enc.pl $$fe simple-$$fe.log simple-$$fe.aux || exit ; \
		mv simple-$$fe.dvi simple-$$fe-platex.dvi ; \
		mv simple-$$fe.log simple-$$fe-platex.log ; \
		mv simple-$$fe.aux simple-$$fe-platex.aux ; \
		$(DVIPDFMX) simple-$$fe-platex.dvi ; \
		$(PDVITYPE) -kanji=$$fe simple-$$fe-platex.dvi > simple-$$fe-platex.pdvitype ; \
		perl check_enc.pl $$fe simple-$$fe-platex.pdvitype || exit ; \
	done ; \

encswitchu:
	for ie in uptex; do \
	for fe in jis utf8; do \
		uplatex -kanji=utf8 --kanji-internal=$$ie simple-u-$$fe.tex ; \
		perl check_enc.pl $$ie simple-u-$$fe.log simple-u-$$fe.aux || exit ; \
		mv simple-u-$$fe.dvi simple-u-$$fe-$$ie.dvi ; \
		mv simple-u-$$fe.log simple-u-$$fe-$$ie.log ; \
		mv simple-u-$$fe.aux simple-u-$$fe-$$ie.aux ; \
		$(DVIPDFMX) simple-u-$$fe-$$ie.dvi ; \
		$(UPDVITYPE) simple-u-$$fe-$$ie.dvi > simple-u-$$fe-$$ie.pdvitype ; \
		perl check_enc.pl utf8 simple-u-$$fe-$$ie.pdvitype || exit ; \
	done ; \
	done

dvi2tty: dvi2ttyp dvi2ttyu

dvi2ttyp: encswitchp
	for fe in j e s u; do \
		$(DVI2TTYJ) -w 62 -o simple-jis-platex-$$fe-j.dvi2tty -E $$fe simple-jis-platex.dvi ; \
		perl check_enc.pl $$fe simple-jis-platex-$$fe-j.dvi2tty || exit ; \
		$(DVI2TTYA) -w 62 -o simple-jis-platex-$$fe-a.dvi2tty -E $$fe simple-jis-platex.dvi ; \
		perl check_enc.pl $$fe simple-jis-platex-$$fe-a.dvi2tty || exit ; \
		diff simple-jis-platex-$$fe-j.dvi2tty simple-jis-platex-$$fe-a.dvi2tty || exit ; \
	done

dvi2ttyu: encswitchu
	for fe in j e s u; do \
		$(DVI2TTYJ) -w 62 -o simple-u-jis-uptex-$$fe-j.dvi2tty -E $$fe simple-u-jis-uptex.dvi ; \
		perl check_enc.pl $$fe simple-u-jis-uptex-$$fe-j.dvi2tty || exit ; \
		$(DVI2TTYU) -w 62 -o simple-u-jis-uptex-$$fe-u.dvi2tty -E $$fe simple-u-jis-uptex.dvi ; \
		perl check_enc.pl $$fe simple-u-jis-uptex-$$fe-u.dvi2tty || exit ; \
		diff simple-u-jis-uptex-$$fe-j.dvi2tty simple-u-jis-uptex-$$fe-u.dvi2tty || exit ; \
	done

jbib: jbibj jbibu

jbibj:
	for ie in euc ; do \
	for be in euc uptex; do \
	for fe in jis euc sjis utf8; do \
		uptex -kanji=$$fe --kanji-internal=$$ie -fmt=uplatex-$$ie jbib1-jis.tex ; \
		upbibtex -kanji=$$fe --kanji-internal=$$be jbib1-jis ; \
		uptex -kanji=$$fe --kanji-internal=$$ie -fmt=uplatex-$$ie jbib1-jis.tex ; \
		uptex -kanji=$$fe --kanji-internal=$$ie -fmt=uplatex-$$ie jbib1-jis.tex ; \
		perl check_enc.pl $$fe jbib1-jis.aux jbib1-jis.bbl || exit ; \
		mv jbib1-jis.dvi jbib1-$$fe-$$be.dvi ; \
		mv jbib1-jis.log jbib1-$$fe-$$be.log ; \
		mv jbib1-jis.aux jbib1-$$fe-$$be.aux ; \
		mv jbib1-jis.bbl jbib1-$$fe-$$be.bbl ; \
		mv jbib1-jis.blg jbib1-$$fe-$$be.blg ; \
		$(DVIPDFMX) jbib1-$$fe-$$be.dvi ; \
	done ; \
	done ; \
	done

jbibu:
	for ie in uptex; do \
	for be in uptex; do \
	for fe in utf8; do \
		uplatex -kanji=$$fe --kanji-internal=$$ie jbib2-utf8.tex ; \
		upbibtex -kanji=$$fe --kanji-internal=$$be jbib2-utf8 ; \
		uplatex -kanji=$$fe --kanji-internal=$$ie jbib2-utf8.tex ; \
		uplatex -kanji=$$fe --kanji-internal=$$ie jbib2-utf8.tex ; \
		perl check_enc.pl $$fe jbib2-utf8.aux jbib2-utf8.bbl || exit ; \
		mv jbib2-utf8.dvi jbib2-$$fe-$$be.dvi ; \
		mv jbib2-utf8.log jbib2-$$fe-$$be.log ; \
		mv jbib2-utf8.aux jbib2-$$fe-$$be.aux ; \
		mv jbib2-utf8.bbl jbib2-$$fe-$$be.bbl ; \
		mv jbib2-utf8.blg jbib2-$$fe-$$be.blg ; \
		$(DVIPDFMX) jbib2-$$fe-$$be.dvi ; \
	done ; \
	done ; \
	done

pmpost: pmpostj pmpostu

pmpostj:
	for fe in jis euc sjis utf8; do \
	for fn in area jstr; do \
		$(UPMPOST) -kanji=$$fe -tex=uplatex-$$fe $$fn-$$fe.mp ; \
		uplatex-$$fe $$fn-$$fe-incl.tex ; \
		$(DVIPS) $$fn-$$fe-incl.dvi ; \
		$(DVIPDFMX) $$fn-$$fe-incl.dvi ; \
	done ; \
		perl check_enc.pl $$fe area-$$fe.mpx || exit ; \
	done

pmpostu:
	for fe in uptex; do \
	for fn in area jstr; do \
		$(UPMPOST) -kanji=$$fe -tex=uplatex $$fn-$$fe.mp ; \
		uplatex $$fn-$$fe-incl.tex ; \
		$(DVIPS) $$fn-$$fe-incl.dvi ; \
		$(DVIPDFMX) $$fn-$$fe-incl.dvi ; \
	done ; \
		perl check_enc.pl $$fe area-$$fe.mpx || exit ; \
	done

# It requires jsclasses.
jsclasses: jscman jscfonts

jsclasses-uplatex.dtx:
	cat `kpsewhich jsclasses.dtx` | \
	sed -e "s/documentclass{jsarticle}/documentclass[uplatex]{jsarticle}/" -e "s/jsclasses.dtx/jsclasses-uplatex.dtx/" > jsclasses-uplatex.dtx

jscman: jsclasses-uplatex.dtx
	$(UPLATEX) jsclasses-uplatex.dtx
	$(DVIPDFMX) jsclasses-uplatex
	$(DVIPS) jsclasses-uplatex

jscfonts:
	for fn in mingoth jis default; do \
		$(UPLATEX) "\def\option{$$fn}\input" yaku-jsc-utf8 ; \
		mv yaku-jsc-utf8.dvi yaku-jsc-$$fn-utf8.dvi ; \
		$(DVIPDFMX) yaku-jsc-$$fn-utf8.dvi ; \
	done
	for fn in mingoth jis default; do \
		$(PLATEX) "\def\option{$$fn}\input" yaku-jsc-jis ; \
		mv yaku-jsc-jis.dvi yaku-jsc-$$fn-jis.dvi ; \
		$(DVIPDFMX) yaku-jsc-$$fn-jis.dvi ; \
	done

# It requires japanese-otf package.
jisuni:
	$(UPLATEX) jis_uni_variation
	$(DVIPDFMX) jis_uni_variation

tfpl: tfplj tfplu

tfplj:
	ptftopl -charcode-format=octal min10x.tfm min10x-oct.pl
	for fe in jis euc sjis utf8; do \
		ptftopl -kanji=$$fe \
			min10x.tfm min10x-$$fe.pl ; \
		perl check_enc.pl $$fe min10x-$$fe.pl || exit ; \
		ppltotf -kanji=$$fe \
			min10x-$$fe.pl min10x-$$fe.tfm ; \
		diff min10x.tfm min10x-$$fe.tfm || exit ; \
	for ie in jis oct; do \
		ppltotf -kanji=$$fe \
			min10x-$$ie.pl min10x-$$ie-$$fe.tfm ; \
		diff min10x.tfm min10x-$$ie-$$fe.tfm || exit ; \
	done ; \
	done

tfplu:
	uptftopl -charcode-format=octal umin10x.tfm umin10x-oct.pl
	uptftopl umin10x.tfm umin10x-utf8.pl
	perl check_enc.pl utf8 umin10x-utf8.pl
	nkf -j umin10x-utf8.pl > umin10x-jis.pl
	for fe in uptex; do \
	for ie in jis oct utf8; do \
		uppltotf -kanji=$$fe \
			umin10x-$$ie.pl umin10x-$$ie-$$fe.tfm ; \
		diff umin10x.tfm umin10x-$$ie-$$fe.tfm || exit ; \
	done ; \
	done

utfotf: utf otf

# It requires utf package by psitau-san.
utf: utf_sample

utf_sample: 
	$(UPLATEX) utfsmpl-uplatex
	$(DVIPDFMX) utfsmpl-uplatex
	$(DVIPS) utfsmpl-uplatex

# It requires japanese-otf package by psitau-san.
otf: otf_sample otf_uplatex otf_platex

otf_sample:
	$(UPLATEX) otfsmpl-uplatex
	$(DVIPDFMX) otfsmpl-uplatex
	$(DVIPS) otfsmpl-uplatex

otf_uplatex:
	for opt in default deluxe expert bold noreplace; do \
		$(UPLATEX) "\def\option{$$opt}\def\class{ujarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-h-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\class{utarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-v-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-v-uplatex.dvi ; \
	done

otf_platex:
	for opt in default deluxe expert bold noreplace; do \
		$(PLATEX) "\def\option{$$opt}\def\class{jarticle}\input" uotftest.tex ; \
		mv uotftest.dvi uotftest-$$opt-h-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\class{tarticle}\input" uotftest.tex ; \
		mv uotftest.dvi uotftest-$$opt-v-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-v-platex.dvi ; \
	done

# It requires ruby.
bkmk: bkmk_jis bkmk_utf8

bkmk_jis: bkmk_docinfo
	for en in jis ; do \
	for up in platex uplatex-sjis uplatex-euc uplatex; do \
		rm bkmk-$$en.aux bkmk-$$en.out ; \
		$$up bkmk-$$en.tex ; \
		$$up "\def\withhyperref{dvipdfmx}\input" bkmk-$$en.tex ; \
		$$up "\def\withhyperref{dvipdfmx}\input" bkmk-$$en.tex ; \
		mv bkmk-$$en.dvi bkmk-$$en-pd-$$up.dvi ; \
		$(DVIPDFMX) bkmk-$$en-pd-$$up.dvi ; \
		$$up "\def\withhyperref{dvipdfmx}\def\nocmap{true}\input" bkmk-$$en.tex ; \
		$$up "\def\withhyperref{dvipdfmx}\def\nocmap{true}\input" bkmk-$$en.tex ; \
		$(CONVBKMKO) bkmk-$$en.out ; \
		$$up "\def\withhyperref{dvipdfmx}\def\nocmap{true}\input" bkmk-$$en.tex ; \
		mv bkmk-$$en.dvi bkmk-$$en-pd2-$$up.dvi ; \
		$(DVIPDFMX) bkmk-$$en-pd2-$$up.dvi ; \

=== texmf-dist/source/generic/vntex/tests/Makefile ===
# vntex-3.2.1
#
# Author: Han The Thanh <hanthethanh@gmx.net>.
# This file is part of vntex.  Public domain.

# The primary site of vntex is:
#
#       http://vntex.sf.net

# This file has been tested with GNU make and Linux only.

# Usage:
# First edit the variables below according to what you have installed.
# 
# Run `make' to produce all files.
#
# Instead, you can
#   run `make testpdf'  to produce all PDF files,
#   run `make testps'   to produce all PS files,
#   run `make samples'  to produce all samples (as PDF),
#   run `make testht'   to produce the HTML files.
# 
# To view the the output files,
#   run `make viewpdf'  to view all PDF files,
#   run `make viewps'   to view all PS files,
#   run `make viewhtml' to view all HTML files.
#   run `make viewsamples' to view all *-sample.pdf files.
#   run `make viewfonts' to view all *-test.pdf files.
#   
# Finally, to remove generated files,
#   run `make clean' to remove all temporary files,
#   run `make distclean' to remove everything except the source files.

# Select a viewer of your choice.  You can add commandline arguments.
VIEWER_PDF  = acroread
VIEWER_PS   = gv -antialias
VIEWER_HTML = firefox

# Set this variable to `false' if you don't have tex4ht installed 
# on your system (look whether the program `htlatex' exists). 
TEX4HT = true

# Comment out the next two lines if you don't have a recent version
# of the Antykwa Torunska font family (antt) with T5 support (look
# whether you have `t5-antt.enc' in your TEXMF tree).
ANTT_TEST   = t5antt-test
ANTT_SAMPLE = t5antt-sample

# Comment out the next two lines if you don't have a recent version
# of Latin Modern (look whether you have `t5-lmr10.tfm' in your TEXMF
# tree).
T5LM_TEST   = t5lm-test
T5LM_SAMPLE = t5lm-sample

# Comment out the next two lines if you don't have a recent version
# of the Iwona font family (look whether you have `iwona.map' 
# in your TEXMF tree).
IWONA_TEST   = t5iwona-test
IWONA_SAMPLE = t5iwona-sample


# Comment out the next two lines if you don't have a recent version
# of the Kurier font family (look whether you have `kurier.map' 
# in your TEXMF tree).
KURIER_TEST   = t5kurier-test
KURIER_SAMPLE = t5kurier-sample


# Comment out the next two lines if you don't have a recent version
# of the Cyklop font family (look whether you have `cyklop.map' 
# in your TEXMF tree).
CYKLOP_TEST   = t5cyklop-test
CYKLOP_SAMPLE = t5cyklop-sample


# Comment out the next two lines if you don't have a recent version
# of the Gentium font family (look whether you have `gentium.map' 
# in your TEXMF tree).
GENTIUM_TEST   = t5gentium-test
GENTIUM_SAMPLE = t5gentium-sample


# Comment out the next two lines if you don't have a recent version
# of the GrotesquVn font family (look whether you have `grotesqvn.map' 
# in your TEXMF tree).
GROTESK_TEST   = grotesqvn-test
GROTESK_SAMPLE = grotesqvn-sample


# Comment out the next two lines if you don't have a recent version
# of the GaramondVn font family (look whether you have `garamondvn.map' 
# in your TEXMF tree).
GARAMOND_TEST   = garamondvn-test
GARAMOND_SAMPLE = garamondvn-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Bonum font family (look whether you have `qbk.map' 
# in your TEXMF tree).
BONUM_TEST     = bonum-test
BONUM_SAMPLE   = bonum-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Termes font family (look whether you have `qpl.map' 
# in your TEXMF tree).
PAGELLA_TEST   = termes-test
PAGELLA_SAMPLE = termes-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Pagella font family (look whether you have `qtm.map' 
# in your TEXMF tree).
TERMES_TEST    = pagella-test
TERMES_SAMPLE  = pagella-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Adventor font family (look whether you have `qag.map' 
# in your TEXMF tree).
ADVENTOR_TEST     = adventor-test
ADVENTOR_SAMPLE   = adventor-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Chorus font family (look whether you have `qzc.map' 
# in your TEXMF tree).
CHORUS_TEST     = chorus-test
CHORUS_SAMPLE   = chorus-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Cursor font family (look whether you have `qcr.map' 
# in your TEXMF tree).
CURSOR_TEST     = cursor-test
CURSOR_SAMPLE   = cursor-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Schola font family (look whether you have `qcs.map' 
# in your TEXMF tree).
SCHOLA_TEST     = schola-test
SCHOLA_SAMPLE   = schola-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Heros font family (look whether you have `qhv.map' 
# in your TEXMF tree).
HEROS_TEST     = heros-test
HEROS_SAMPLE   = heros-sample


# Comment out the next two lines if you don't have a recent version
# of the ArevSansVn font family (look whether you have `arevvn.map' 
# in your TEXMF tree).
AREV_TEST       = arevvn-test
AREV_SAMPLE     = arevvn-sample


# Comment out the next two lines if you don't have a recent version
# of the CMBrightVn font family (look whether you have `cmbrightvn.map' 
# in your TEXMF tree).
CMBRIGHT_TEST	= cmbrightvn-test
CMBRIGHT_SAMPLE	= cmbrightvn-sample


# Comment out the next two lines if you don't have a recent version
# of the ClassicoVn font family (look whether you have `classicovn.map' 
# in your TEXMF tree).
CLASSICO_TEST	= classicovn-test
CLASSICO_SAMPLE	= classicovn-sample


# Comment out the next two lines if you don't have a recent version
# of the ConcreteVn font family (look whether you have `concretevn.map' 
# in your TEXMF tree).
CONCRETE_TEST	= concretevn-test
CONCRETE_SAMPLE	= concretevn-sample


# Comment out the next two lines if you don't have a recent version
# of the Vntopia font family (look whether you have `vntopia.map' 
# in your TEXMF tree).
VNTOPIA_TEST	= vntopia-test
VNTOPIA_SAMPLE	= vntopia-sample


# Comment out the next two lines if you don't have a recent version
# of the txttvn font family (look whether you have `txttvn.map' 
# in your TEXMF tree).
TXTT_TEST	= txttvn-test
TXTT_SAMPLE	= txttvn-sample


# Comment out the next two lines if you don't have a recent version
# of the ComicsansVn font family (look whether you have `comicsansvn.map' 
# in your TEXMF tree).
COMIC_TEST	= comicsansvn-test
COMIC_SAMPLE	= comicsansvn-sample


# Comment out the next two lines if you don't have the MS core font
# files like `arial.ttf' or `tahomabd.ttf' installed in your TEXMF
# tree.
MSCORE_TEST   = mscore-test
MSCORE_SAMPLE = mscore-sample

# Comment out the next line if you don't have plnfss installed on your
# system (look whether `plnfss.tex' and `t5cmr.pfd' exists. 
TEST_PLAIN  = test-plain test-plain-tcx


#====================================================#
# There is no need to edit anything below this line. #
#====================================================#


TEXOPTS    = -parse-first-line -recorder
TEX4HTOPTS = "html,uni-html4,charset=utf8" " -cunihtf -utf8"
FONTMEM    = env font_mem_size=1200000

PDFLATEX = pdflatex $(TEXOPTS)
LATEX    = latex $(TEXOPTS)
PDFTEX   = pdftex $(TEXOPTS)
TEX      = tex $(TEXOPTS)
DVIPS    = dvips


TEST_LATEX     = test-vietnam test-babel

TEST_LATEX_ALL = $(TEST_LATEX) test-vietnam-tcx

REFERENCES     = vnr-test urwvn-test chartervn-test \
		 $(ANTT_TEST) $(T5LM_TEST) \
		 $(IWONA_TEST) $(KURIER_TEST) $(CYKLOP_TEST) \
		 $(GROTESK_TEST) $(GARAMOND_TEST) \
		 $(AREV_TEST) $(VNTOPIA_TEST) $(CLASSICO_TEST) \
		 $(CMBRIGHT_TEST) $(CONCRETE_TEST) \
		 $(GENTIUM_TEST) $(TXTT_TEST) \
		 $(BONUM_TEST) $(PAGELLA_TEST) $(TERMES_TEST) \
		 $(ADVENTOR_TEST) $(CHORUS_TEST) $(CURSOR_TEST) \
		 $(SCHOLA_TEST) $(HEROS_TEST) \
		 $(MSCORE_TEST) $(COMIC_TEST)

SAMPLES        = vnr-sample urwvn-sample chartervn-sample \
		 $(ANTT_SAMPLE) $(T5LM_SAMPLE) \
		 $(IWONA_SAMPLE) $(KURIER_SAMPLE) $(CYKLOP_SAMPLE) \
		 $(GROTESK_SAMPLE) $(GARAMOND_SAMPLE) \
		 $(AREV_SAMPLE) $(VNTOPIA_SAMPLE) $(CLASSICO_SAMPLE) \
		 $(CMBRIGHT_SAMPLE) $(CONCRETE_SAMPLE) \
		 $(GENTIUM_SAMPLE) $(TXTT_SAMPLE) \
		 $(BONUM_SAMPLE) $(PAGELLA_SAMPLE) $(TERMES_SAMPLE) \
		 $(ADVENTOR_SAMPLE) $(CHORUS_SAMPLE) $(CURSOR_SAMPLE) \
		 $(SCHOLA_SAMPLE) $(HEROS_SAMPLE) \
		 $(MSCORE_SAMPLE) $(COMIC_SAMPLE)


default: testpdf testps samples


vntovn:  test-tcvn.tex test-utf8.tex


test-tcvn.tex: test-viscii.tex
	vntovn viscii tcvn $< > $@


test-utf8.tex: test-viscii.tex
	vntovn viscii utf8 $< > $@


testpdf:
	for f in $(TEST_LATEX_ALL); do \
	   test -f $$f.aux || $(PDFLATEX) $$f.tex; \
	   $(PDFLATEX) $$f.tex; \
	done	
	for f in $(TEST_PLAIN); do \
	   $(PDFTEX) $$f.tex; \
	done


testps:
	for f in $(TEST_LATEX_ALL); do \
	   test -f $$f.aux || $(LATEX) $$f.tex; \
	   $(LATEX) $$f.tex ; $(DVIPS) $$f.dvi -o; \
	done	
	for f in $(TEST_PLAIN); do \
	   $(TEX) $$f.tex ; $(DVIPS) $$f.dvi -o; \
	done


testht:
	   for f in $(TEST_LATEX) $(REFERENCES); do \
	      htlatex $$f.tex $(TEX4HTOPTS); \
	   done


samples:
	for f in $(SAMPLES) ; do \
	    test -f $$f.aux || \
	    $(FONTMEM) $(PDFLATEX) $$f.tex; \
	done
	for f in $(REFERENCES) $(SAMPLES) ; do \
	    $(FONTMEM) $(PDFLATEX) $$f.tex; \
	done


refs:
	for f in $(REFERENCES) ; do \
	    $(FONTMEM) $(PDFLATEX) $$f.tex; \
	done



viewpdf:
	for f in $(TEST_LATEX_ALL) $(TEST_PLAIN); do \
	   (test ! -f $$f.pdf && \
		echo "WARNING: File \"$$f.pdf\" not found.") \
	   	|| $(VIEWER_PDF) $$f.pdf; \
	done


viewps:
	for f in $(TEST_LATEX_ALL) $(TEST_PLAIN); do \
	   (test ! -f $$f.ps && \
		echo "WARNING: File \"$$f.ps\" not found.") \
	   	|| $(VIEWER_PS) $$f.ps; \
	done


viewhtml:
	for f in $(TEST_LATEX) $(REFERENCES); do \
	   (test ! -f $$f.html && \
		echo "WARNING: File \"$$f.html\" not found.") \
		|| $(VIEWER_HTML) file://`pwd`/$$f.html; \
	done


viewsamples:
	for f in $(SAMPLES); do \
	   (test ! -f $$f.pdf && \
		echo "WARNING: File \"$$f.pdf\" not found.") \
		|| $(VIEWER_PDF) $$f.pdf; \
	done


viewfonts:
	for f in $(REFERENCES); do \
	   (test ! -f $$f.pdf && \
		echo "WARNING: File \"$$f.pdf\" not found.") \
		|| $(VIEWER_PDF) $$f.pdf; \
	done

htmldir:
	test -d vntex-html || mkdir vntex-html
	rm -f vntex-html/*
	cp -p *.html *.css vntex-html
	echo '<html><head>' > vntex-html/index.html 
	echo '<title>VnTeX HTML Fonts</title>' >> vntex-html/index.html
	echo '</head>' >> vntex-html/index.html 
	echo '<body><h1>VnTeX HTML Fonts</h1><p>' >> vntex-html/index.html
	for f in $(TEST_LATEX) $(REFERENCES); do \
          echo "<a href=\"$$f.html\">$$f</a><p>" >> vntex-html/index.html; \
	done
	echo '</body></html>' >> vntex-html/index.html
	tar -cjvf vntex-html.tar.bz2 vntex-html

clean:
	rm -f *.dvi *.out *.toc *.aux *.log *.4ct *.4tc *.idv *.lg \
              *.tmp *.xref *.fls *.lof


distclean: clean
	rm -f *.pdf *.ps *.css *.html nocompress vntex-html.tar.bz2
	rm -rf vntex-html

=== texmf-dist/doc/fonts/japanese-otf-uptex/test/uplatex/Makefile ===
UPTEX = uptex
PTEX = ptex
UPLATEX = uplatex
PLATEX = platex -kanji=utf8
DVIPS = dvips
DVIPDFMX = dvipdfmx
PDVITYPE = pdvitype

all: otf sp art bsrg jis04 scale prop

otf: uplatex-otf platex-otf
sp: uplatex-sp platex-sp
art: uplatex-article platex-article
brsg: uplatex-brsg platex-brsg
jis04: uplatex-jis04 platex-jis04
scale: uplatex-scale platex-scale
prop: uplatex-prop platex-prop

uplatex-otf:
	for opt in default deluxe expert bold noreplace; do \
		$(UPLATEX) "\def\option{$$opt}\def\class{ujarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-h-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\class{utarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-v-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-v-uplatex.dvi ; \
	done

platex-otf:
	for opt in default deluxe expert bold noreplace; do \
		$(PLATEX) "\def\option{$$opt}\def\class{jarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-h-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\class{tarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-v-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-v-platex.dvi ; \
	done

uplatex-sp:
	for opt in default deluxe expert bold noreplace; do \
		$(UPLATEX) "\def\option{$$opt}\def\class{ujarticle}\input" uotf-sp-utf8.tex ; \
		mv uotf-sp-utf8.dvi uotf-sp-$$opt-h-uplatex.dvi ; \
		$(DVIPDFMX) uotf-sp-$$opt-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\class{utarticle}\input" uotf-sp-utf8.tex ; \
		mv uotf-sp-utf8.dvi uotf-sp-$$opt-v-uplatex.dvi ; \
		$(DVIPDFMX) uotf-sp-$$opt-v-uplatex.dvi ; \
	done

platex-sp:
	for opt in default deluxe expert bold noreplace; do \
		$(PLATEX) "\def\option{$$opt}\def\class{jarticle}\input" uotf-sp-utf8.tex ; \
		mv uotf-sp-utf8.dvi uotf-sp-$$opt-h-platex.dvi ; \
		$(DVIPDFMX) uotf-sp-$$opt-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\class{tarticle}\input" uotf-sp-utf8.tex ; \
		mv uotf-sp-utf8.dvi uotf-sp-$$opt-v-platex.dvi ; \
		$(DVIPDFMX) uotf-sp-$$opt-v-platex.dvi ; \
	done

uplatex-article:
	for opt in noreplace; do \
		$(UPLATEX) "\def\option{$$opt}\def\class{article}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-a-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-a-uplatex.dvi ; \
	done

platex-article:
	for opt in noreplace; do \
		$(PLATEX) "\def\option{$$opt}\def\class{article}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-a-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-a-platex.dvi ; \
	done

uplatex-brsg:
	for opt in default expert; do \
	for burasage in br oi; do \
		$(UPLATEX) "\def\option{$$opt}\def\burasage{$$burasage}\def\class{ujbook}\input" upbrsgtest.tex ; \
		mv upbrsgtest.dvi upbrsgtest-$$opt-$$burasage-h-uplatex.dvi ; \
		$(DVIPDFMX) upbrsgtest-$$opt-$$burasage-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\burasage{$$burasage}\def\class{utbook}\input" upbrsgtest.tex ; \
		mv upbrsgtest.dvi upbrsgtest-$$opt-$$burasage-v-uplatex.dvi ; \
		$(DVIPDFMX) upbrsgtest-$$opt-$$burasage-v-uplatex.dvi ; \
	done \
	done

platex-brsg:
	for opt in default expert; do \
	for burasage in br oi; do \
		$(PLATEX) "\def\option{$$opt}\def\burasage{$$burasage}\def\class{jbook}\input" upbrsgtest.tex ; \
		mv upbrsgtest.dvi upbrsgtest-$$opt-$$burasage-h-platex.dvi ; \
		$(DVIPDFMX) upbrsgtest-$$opt-$$burasage-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\burasage{$$burasage}\def\class{tbook}\input" upbrsgtest.tex ; \
		mv upbrsgtest.dvi upbrsgtest-$$opt-$$burasage-v-platex.dvi ; \
		$(DVIPDFMX) upbrsgtest-$$opt-$$burasage-v-platex.dvi ; \
	done \
	done

uplatex-jis04:
	for opt in default expert; do \
	for brsg in br oi; do \
	for jis in 00 04; do \
		$(UPLATEX) "\def\option{$$opt}\def\burasage{$$brsg}\def\jisvar{$$jis}\def\class{ujarticle}\input" upjis2004.tex ; \
		mv upjis2004.dvi upjis2004-$$opt-$$brsg-$$jis-h-uplatex.dvi ; \
		$(DVIPDFMX) upjis2004-$$opt-$$brsg-$$jis-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\burasage{$$brsg}\def\jisvar{$$jis}\def\class{utarticle}\input" upjis2004.tex ; \
		mv upjis2004.dvi upjis2004-$$opt-$$brsg-$$jis-v-uplatex.dvi ; \
		$(DVIPDFMX) upjis2004-$$opt-$$brsg-$$jis-v-uplatex.dvi ; \
	done \
	done \
	done

platex-jis04:
	for opt in default expert; do \
	for brsg in br oi; do \
	for jis in 00 04; do \
		$(PLATEX) "\def\option{$$opt}\def\burasage{$$brsg}\def\jisvar{$$jis}\def\class{jarticle}\input" upjis2004.tex ; \
		mv upjis2004.dvi upjis2004-$$opt-$$brsg-$$jis-h-platex.dvi ; \
		$(DVIPDFMX) upjis2004-$$opt-$$brsg-$$jis-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\burasage{$$brsg}\def\jisvar{$$jis}\def\class{tarticle}\input" upjis2004.tex ; \
		mv upjis2004.dvi upjis2004-$$opt-$$brsg-$$jis-v-platex.dvi ; \
		$(DVIPDFMX) upjis2004-$$opt-$$brsg-$$jis-v-platex.dvi ; \
	done \
	done \
	done

uplatex-scale:
	for scl in default 0.5 1.0 1.5 2.0; do \
		$(UPLATEX) "\def\scale{$$scl}\def\class{ujarticle}\input" otfscale.tex ; \
		mv otfscale.dvi otfscale-$$scl-uplatex.dvi ; \
		$(DVIPDFMX) otfscale-$$scl-uplatex.dvi ; \
	done
	for scl in default 1.0; do \
		$(UPLATEX) "\def\scale{$$scl}\def\class{jsarticle}\input" otfscale.tex ; \
		mv otfscale.dvi otfscale-$$scl-js-uplatex.dvi ; \
		$(DVIPDFMX) otfscale-$$scl-js-uplatex.dvi ; \
	done

platex-scale:
	for scl in default 0.5 1.0 1.5 2.0; do \
		$(PLATEX) "\def\scale{$$scl}\def\class{jarticle}\input" otfscale.tex ; \
		mv otfscale.dvi otfscale-$$scl-platex.dvi ; \
		$(DVIPDFMX) otfscale-$$scl-platex.dvi ; \
	done
	for scl in default 1.0; do \
		$(PLATEX) "\def\scale{$$scl}\def\class{jsarticle}\input" otfscale.tex ; \
		mv otfscale.dvi otfscale-$$scl-js-platex.dvi ; \
		$(DVIPDFMX) otfscale-$$scl-js-platex.dvi ; \
	done

uplatex-prop:
	for test in 1 2; do \
		$(UPLATEX) "\def\class{ujarticle}\input" upkanatest$$test.tex ; \
		mv upkanatest$$test.dvi upkanatest$$test-h-uplatex.dvi ; \
		$(DVIPDFMX) upkanatest$$test-h-uplatex.dvi ; \
		$(UPLATEX) "\def\class{utarticle}\input" upkanatest$$test.tex ; \
		mv upkanatest$$test.dvi upkanatest$$test-v-uplatex.dvi ; \
		$(DVIPDFMX) -l upkanatest$$test-v-uplatex.dvi ; \
	done

platex-prop:
	for test in 1 2; do \
		$(PLATEX) "\def\class{jarticle}\input" upkanatest$$test.tex ; \
		mv upkanatest$$test.dvi upkanatest$$test-h-platex.dvi ; \
		$(DVIPDFMX) upkanatest$$test-h-platex.dvi ; \
		$(PLATEX) "\def\class{tarticle}\input" upkanatest$$test.tex ; \
		mv upkanatest$$test.dvi upkanatest$$test-v-platex.dvi ; \
		$(DVIPDFMX) -l upkanatest$$test-v-platex.dvi ; \
	done

clean:
	rm *.aux *.log *.dvi *.pdf

=== texmf-dist/doc/latex/disser/templates/bachelor/Makefile ===
#
# Makefile for documents and templates
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET?=thesis


include ../../include/latex.mk

all: dvi

allpdf: pdf

help: .help
	@echo "  all          alias for dvi target" ;\
	 echo "  allpdf       alias for pdf target" ;\

=== debian/changelog ===
texlive-lang (2015.20160223-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 23 Feb 2016 12:34:25 +0900

texlive-lang (2015.20160215-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Mon, 15 Feb 2016 20:04:44 +0900

texlive-lang (2015.20160117-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sun, 17 Jan 2016 16:48:25 +0900

texlive-lang (2015.20151225-1) unstable; urgency=medium

  * new upstream checkout
  * remove adobemapping, use poppler-data instead (Closes: #805691)
    (thanks to Hideki Yamane)
  * install ltx-help.el for emacs, thanks to Kevin Ryde (Closes: #807154)

 -- Norbert Preining <preining@debian.org>  Sat, 26 Dec 2015 10:42:59 +0900

texlive-lang (2015.20151116-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Mon, 16 Nov 2015 13:19:23 +0900

texlive-lang (2015.20151016-1) unstable; urgency=medium

  * new upstream checkout
  * set all packages to M-A: foreign

 -- Norbert Preining <preining@debian.org>  Fri, 16 Oct 2015 09:42:26 +0900

texlive-lang (2015.20150917-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Thu, 17 Sep 2015 12:56:40 +0900

texlive-lang (2015.20150823-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sun, 23 Aug 2015 14:07:36 +0900

=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
Standards-Version: 3.9.6
Homepage: http://www.tug.org/texlive/

Package: texlive-lang-african
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2015), ${misc:Depends}, texlive-base (>= 2015)
Breaks: texlive-base (<< 2015)
Description: TeX Live: African scripts
 Support for African scripts.
 .
 This package includes the following CTAN packages:
 .
 ethiop -- LaTeX macros and fonts for typesetting Amharic.
 .
 ethiop-t1 -- Type 1 versions of Amharic fonts.
 .
 fc -- Fonts for African languages.
 .
 hyphen-ethiopic -- Hyphenation patterns for Ethiopic scripts.

Package: texlive-lang-arabic
Architecture: all
Multi-Arch: foreign
Depends: fonts-hosny-amiri, texlive-generic-extra (>= 2015), texlive-base (>= 2015), ${misc:Depends}, texlive-base (>= 2015)
Breaks: texlive-base (<< 2015)
Description: TeX Live: Arabic
 Support for Arabic and Persian.
 .
 This package includes the following CTAN packages:
 .
 amiri -- A classical Arabic typeface, Naskh style
 .
 arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel.
 .
 arabi-add -- Using hyperref and bookmark packages with arabic and farsi
 languages.
 .
 arabtex -- Macros and fonts for typesetting Arabic.
 .
 bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX engine
 .
 bidihl -- Experimental bidi-aware text highlighting
 .
 dad -- Simple typesetting system for mixed Arabic/Latin documents.
 .
 ghab -- Typeset ghab boxes in LaTeX.
 .
 hyphen-arabic -- (No) Arabic hyphenation patterns.
 .
 hyphen-farsi -- (No) Persian hyphenation patterns.
 .
 imsproc -- Typeset IMS conference proceedings.
 .
 lshort-persian -- Persian (Farsi) introduction to LaTeX.
 .
 persian-bib -- Persian translations of classic BibTeX styles.
 .
 simurgh -- Typeset Parsi in LuaLaTeX.
 .
 tram -- Typeset tram boxes in LaTeX.

Package: texlive-lang-cjk
Architecture: all
Multi-Arch: foreign
Depends: texlive-binaries (>= 2015.20160222.37495-1), texlive-base (>= 2015), poppler-data, ${misc:Depends}, texlive-base (>= 2015), texlive-latex-base (>= 2015)
Recommends: texlive-lang-chinese, ruby | ruby-interpreter, texlive-lang-korean, texlive-lang-japanese, latex-cjk-all (>= 4.6.0+cvs20060714-2)
Breaks: texlive-lang-japanese (<< 2014.20150305), texlive-base (<< 2015)
Description: TeX Live: Chinese/Japanese/Korean (base)
 Packages supporting a combination of Chinese, Japanese, Korean, including 
 macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
 some overlap in those fonts; standard Thai support is in 
 collection-langother.  Additional packages for CJK are in their individual 
 language collections.
 .
 This package includes the following CTAN packages:
 .
 c90 --
 .
 cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
 .
 cjkpunct -- Adjust locations and kerning of CJK punctuation marks.
 .
 garuda-c90 -- TeX support (from CJK) for the garuda font
 .
 norasi-c90 -- TeX support (from CJK) for the norasi font
 .
 xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
 .
 zxjafont -- Set up Japanese font families for XeLaTeX.

Package: texlive-lang-korean
Architecture: all
Multi-Arch: foreign
Depends: texlive-binaries (>= 2015.20160222.37495-1), texlive-base (>= 2015), texlive-lang-cjk (>= 2015), ${misc:Depends}
Conflicts: ko.tex-bin
Provides: ko.tex
Breaks: texlive-base (<< 2015)
Description: TeX Live: Korean
 Support for Korean; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 cjk-ko -- Extension of the CJK package for Korean typesetting.
 .
 kotex-oblivoir -- A LaTeX document class for typesetting Korean documents
 .
 kotex-plain -- Macros for typesetting Korean under Plain TeX
 .
 kotex-utf -- Typeset Hangul, coded in UTF-8
 .
 kotex-utils -- Utility scripts and support files for typesetting Korean
 .
 lshort-korean -- Korean introduction to LaTeX.
 .
 nanumtype1 -- Type1 subfonts of Nanum Korean fonts.
 .
 uhc -- Fonts for the Korean language.

Package: texlive-lang-chinese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2015), texlive-lang-cjk (>= 2015)
Breaks: texlive-base (<< 2015)
Description: TeX Live: Chinese
 Support for Chinese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 asymptote-by-example-zh-cn -- Asymptote by example.
 .
 asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation).
 .
 asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual.
 .
 cns --
 .
 ctex -- LaTeX classes and packages for Chinese typesetting
 .
 ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org).
 .
 fandol -- Four basic fonts for Chinese typesetting.
 .
 hyphen-chinese -- Chinese pinyin hyphenation patterns.
 .
 impatient-cn --
 .
 latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX.
 .
 lshort-chinese -- Introduction to LaTeX, in Chinese.
 .
 texlive-zh-cn -- TeX Live manual (Chinese)
 .
 xpinyin -- Automatically add pinyin to Chinese characters
 .
 zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX.
 .
 zhnumber -- Typeset Chinese representations of numbers
 .
 zhspacing -- Spacing for mixed CJK-English documents in XeTeX

Package: texlive-lang-japanese
Architecture: all
Multi-Arch: foreign
Depends: texlive-binaries (>= 2015.20160222.37495-1), texlive-lang-cjk (>= 2015), fonts-ipaexfont-gothic, ${misc:Depends}, ruby, texlive-base (>= 2015), fonts-ipafont-mincho, fonts-ipaexfont-mincho, fonts-ipafont-gothic
Conflicts: ptex-jisfonts
Provides: ptex-jisfonts, vfdata-morisawa5, okumura-clsfiles
Replaces: texlive-lang-cjk (<< 2014.20150305), mendexk
Breaks: texlive-base (<< 2015)
Description: TeX Live: Japanese
 Support for Japanese; additional packages in collection- langcjk.
 .
 This package includes the following CTAN packages:
 .
 bxbase -- BX bundle base components.
 .
 bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK.
 .
 bxjscls -- Japanese document class collection for all major engines
 .
 convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref.
 .
 ipaex -- IPA and IPAex fonts from Information-technology Promotion Agency,
 Japan.
 .
 japanese -- A substitute for a babel package for Japanese.
 .
 japanese-otf -- Advanced font selection for platex and its friends.
 .
 japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX.
 .
 jfontmaps -- Font maps and configuration tools for Japanese fonts
 .
 jsclasses -- Classes tailored for use with Japanese.
 .
 lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
 .
 luatexja -- Typeset Japanese with Lua(La)TeX
 .
 ptex -- A TeX system for publishing in Japanese
 .
 ptex2pdf -- Convert Japanese TeX documents to PDF.
 .
 pxbase -- Tools for use with (u)pLaTeX.
 .
 pxchfon -- Japanese font setup for pLaTeX and upLaTeX
 .
 pxcjkcat -- LaTeX interface for the CJK category codes of upTeX.
 .
 pxjahyper -- Hyperref support for pLaTeX.
 .
 pxrubrica --
 .
 uptex -- Unicode version of pTeX
 .
 zxjafbfont -- Fallback CJK font support for xeCJK.
 .
 zxjatype -- Standard conforming typesetting of Japanese, for XeLaTeX.

Package: texlive-lang-cyrillic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-binaries (>= 2015.20160222.37495-1), texlive-latex-base (>= 2015), texlive-base (>= 2015), texlive-base (>= 2015)
Breaks: texlive-base (<< 2015)
Description: TeX Live: Cyrillic
 Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
 if Latin alphabets may also be used.
 .
 This package includes the following CTAN packages:
 .
 babel-bulgarian -- Babel contributed support for Bulgarian.
 .
 babel-russian -- Russian language module for Babel
 .
 babel-serbian --
 .
 babel-serbianc -- Babel module to support Serbian Cyrillic.
 .
 babel-ukraineb --
 .
 cmcyr -- Computer Modern fonts with cyrillic extensions
 .
 cyrillic -- Support for Cyrillic fonts in LaTeX.
 .
 cyrillic-bin -- Cyrillic bibtex and makeindex.
 .
 cyrplain --
 .
 disser -- Class and templates for typesetting dissertations in Russian
 .
 eskd -- Modern Russian typesetting.
 .
 eskdx -- Modern Russian typesetting.
 .
 gost -- BibTeX styles to format according to GOST
 .
 hyphen-bulgarian -- Bulgarian hyphenation patterns.
 .
 hyphen-mongolian -- Mongolian hyphenation patterns in Cyrillic script.
 .
 hyphen-russian -- Russian hyphenation patterns.
 .
 hyphen-serbian -- Serbian hyphenation patterns.
 .
 hyphen-ukrainian -- Ukrainian hyphenation patterns.
 .
 lcyw -- Make Classic Cyrillic CM fonts accessible in LaTeX.
 .
 lh -- Cyrillic fonts that support LaTeX standard encodings.
 .
 lhcyr -- A non-standard Cyrillic input scheme.
 .
 lshort-bulgarian -- Bulgarian translation of the "Short Introduction to
 LaTeX2e".
 .
 lshort-mongol -- Short introduction to LaTeX, in Mongolian.
 .
 lshort-russian -- Russian introduction to LaTeX.
 .
 lshort-ukr -- Ukrainian version of the LaTeX introduction.
 .
 mongolian-babel -- A language definition file for Mongolian in Babel.
 .
 montex -- Mongolian LaTeX.
 .
 mpman-ru -- A Russian translation of the MetaPost manual.
 .
 pst-eucl-translation-bg -- Bulgarian translation of the pst-eucl
 documentation.
 .
 ruhyphen -- Russian hyphenation.
 .
 russ -- LaTeX in Russian, without babel.
 .
 serbian-apostrophe -- Commands for Serbian words with apostrophes.
 .
 serbian-date-lat -- Updated date typesetting for Serbian.
 .
 serbian-def-cyr -- Serbian cyrillic localization.
 .
 serbian-lig -- Control ligatures in Serbian
 .
 t2 -- Support for using T2 encoding
 .
 texlive-ru -- TeX Live manual (Russian)
 .
 texlive-sr -- TeX Live manual (Serbian)
 .
 ukrhyph -- Hyphenation Patterns for Ukrainian.

Package: texlive-lang-czechslovak
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2015), texlive-base (>= 2015), texlive-latex-base (>= 2015), texlive-binaries (>= 2015.20160222.37495-1), ${misc:Depends}
Breaks: texlive-base (<< 2015)
Description: TeX Live: Czech/Slovak
 Support for Czech/Slovak.
 .
 This package includes the following CTAN packages:
 .
 babel-czech -- Babel support for Czech.
 .
 babel-slovak -- Babel support for typesetting Slovak.
 .
 cnbwp -- Typeset working papers of the Czech National Bank.
 .
 cs -- Czech/Slovak-tuned Computer Modern fonts.
 .
 csbulletin -- LaTeX class for articles submitted to the CSTUG Bulletin
 (Zpravodaj).
 .
 cslatex -- LaTeX support for Czech/Slovak typesetting
 .
 csplain -- Plain TeX multilanguage support
 .
 cstex -- Support for Czech/Slovak languages.
 .
 hyphen-czech -- Czech hyphenation patterns.
 .
 hyphen-slovak -- Slovak hyphenation patterns.
 .
 vlna --
 .
 lshort-czech -- Czech translation of the "Short Introduction to LaTeX2e".
 .
 lshort-slovak -- Slovak introduction to LaTeX.
 .
 texlive-cz -- TeX Live manual (Czech/Slovak)

Package: texlive-lang-english
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2015), texlive-base (>= 2015)
Breaks: texlive-base (<< 2015)
Description: TeX Live: US and UK English
 Support for (and documentation in) English.
 .
 This package includes the following CTAN packages:
 .
 hyphen-english -- English hyphenation patterns.
 .
 FAQ-en -- A compilation of Frequently Asked Questions with answers.
 .
 MemoirChapStyles -- Chapter styles in memoir class.
 .
 Type1fonts -- Font installation guide.
 .
 amslatex-primer -- Getting up and running with AMS-LaTeX.
 .
 around-the-bend -- Typeset exercises in TeX, with answers.
 .
 ascii-chart -- An ASCII wall chart.
 .
 components-of-TeX -- Components of TeX.
 .
 comprehensive -- Symbols accessible from LaTeX
 .
 dtxtut -- Tutorial on writing .dtx and .ins files
 .
 first-latex-doc -- A document for absolute LaTeX beginners.
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-lang

PACKAGES=texlive-lang-african texlive-lang-arabic texlive-lang-cjk texlive-lang-korean texlive-lang-chinese texlive-lang-japanese texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-english texlive-lang-european texlive-lang-french texlive-lang-german texlive-lang-greek texlive-lang-indic texlive-lang-italian texlive-lang-other texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish
METAPACKAGES=texlive-lang-all

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	# move ltx-help.el into emacs directory

	mkdir -p debian/texlive-lang-english/usr/share/emacs/site-lisp
	mv debian/texlive-lang-english/usr/share/doc/texlive-doc/latex/latex2e-help-texinfo/ltx-help.el \
		debian/texlive-lang-english/usr/share/emacs/site-lisp
	# link pfb/afm files (type1 fonts) into /usr/share/fonts

	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	# we create the format links via the texlive-lang-czechslovak.links
	# file, since otherwise dh_installtex boils out as several formats
	# with different engines have the same name
	dh_installtex -p texlive-lang-czechslovak --flavor=tree:texlive,format:no_links
	dh_installtex -N texlive-lang-czechslovak --flavor=tree:texlive

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
